Summary: The GNU Image Manipulation Program
Name: gimp
Version: 0.99.12
Release: 3
Copyright: GPL, LGPL
Group: X11/Applications/Graphics
Url: http://www.gimp.org/
Source: ftp://ftp.gimp.org/pub/gimp/devel/%{PACKAGE_VERSION}/gimp-%{PACKAGE_VERSION}.tar.gz
Source1: ftp://ftp.gimp.org/pub/gimp/devel/%{PACKAGE_VERSION}/gimp-data-%{PACKAGE_VERSION}.tar.gz
Source2: gimp.wmconfig
Source3: wilbur.xpm
Source4: mini-wilbur.xpm
Patch: gimp-0.99.10-lpath.patch
Patch1: gimp-0.99.12-glib.patch
BuildRoot: /tmp/gimp-root
Prereq: /sbin/install-info

%changelog

* Thu Oct 30 1997 Michael K. Johnson <johnsonm@redhat.com>

- fixed wmconfig

* Wed Oct 29 1997 Michael K. Johnson <johnsonm@redhat.com>

- Added wmconfig

* Fri Oct 03 1997 Michael K. Johnson <johnsonm@redhat.com>

- Updated to 0.99.12
- gtk now in its own package
- libtool assumed to have been fixed in gimp as it was in gtk
- uses install-info
- separate libgimp package for libraries that may be used by other
  apps (such as sane) that do not require that the gimp be present.

* Thu Jul 31 1997 Michael K. Johnson <johnsonm@redhat.com>

- Added all-patches archive as of Jul 27 (latest)
- Added David M-T's gtk+ enhancements so that this version of gtk+ can
  support Sane 0.62
- Put gimp-data back into the final packages so that brushes, etc., are
  available, by hacking gimp-data-0.99.9 to think that it is 0.99.10.
- Put glib.h and glibconfig.h into /usr/include/glib/, where
  /usr/include/libgimp.h wants them.

* Mon Jul 21 1997 Elliot Lee <sopwith@redhat.com>
- Change it to a buildroot
- Make the gtk-devel package actually include all header files :-)

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This is the development version, and may not be completely stable, but
it has enough features which are not present in the previous stable
version 0.54 that you may wish to install it anyway.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz
and ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.

%package devel
Summary: GIMP plugin and extension development kit
Group: X11/Applications/Graphics
Requires: gtk-devel
%description devel
Static libraries and header files for writing GIMP plugins and extensions.

%package libgimp
Summary: GIMP libraries
Group: X11/Applications/Graphics
%description libgimp
Libraries used to communicate between The GIMP and other programs which
may function as "GIMP plugins".

%prep
%setup -c -n gimp
%setup -n gimp -T -D -a 1
#%patch -p1 -b .lpath
%patch1 -p0 -b .gimp

%build
cd gimp-%{PACKAGE_VERSION}
./configure --prefix=/usr
make
cd ../gimp-data-%{PACKAGE_VERSION}
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/info $RPM_BUILD_ROOT/usr/include \
	$RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/bin \
	$RPM_BUILD_ROOT/etc/X11/wmconfig \
	$RPM_BUILD_ROOT/usr/share/icons/mini
cd gimp-%{PACKAGE_VERSION}
make prefix=$RPM_BUILD_ROOT/usr install
make -C docs prefix=$RPM_BUILD_ROOT/usr install

make -C ../gimp-data-%{PACKAGE_VERSION} prefix=$RPM_BUILD_ROOT/usr install

# repair libtool's mistakes...
# This may not be necessary any more.
#rm -f $RPM_BUILD_ROOT/usr/lib/*.la $RPM_BUILD_ROOT/usr/lib/*.so ||:
#(cd $RPM_BUILD_ROOT/usr/lib
# for I in gimp gimpui; do
#	# 1.0 or 1.0.0 seems to keep changing.  We'll regularize it.
#	[ -f lib$I.so.1.0 ] && mv lib$I.so.1.0 lib$I.so.1.0.0
#	ln -s lib$I.so.1.0.0 lib$I.so
# done
#)
gzip -9 $RPM_BUILD_ROOT/usr/info/*
ls -d $RPM_BUILD_ROOT/usr/share/gimp/%{PACKAGE_VERSION}/* | grep -v gimprc \
	| sed -e "s,$RPM_BUILD_ROOT,," > gimp-partial-filelist
strip $RPM_BUILD_ROOT/usr/bin/gimp
install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/gimp.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/gimp
install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/wilbur.xpm $RPM_BUILD_ROOT/usr/share/icons/
install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/mini-wilbur.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/

%clean
rm -rf $RPM_BUILD_ROOT

%post devel
/sbin/install-info --section="GIMP" --entry="* PDB: (pdb).          The GIMP procedural database." /usr/info/pdb.info.gz /usr/info/dir

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete --section="GIMP" --entry="* PDB: (pdb).          The GIMP procedural database." /usr/info/pdb.info.gz /usr/info/dir
fi

%post libgimp -p /sbin/ldconfig
%postun libgimp -p /sbin/ldconfig

%files -f gimp-%{PACKAGE_VERSION}/gimp-partial-filelist
%dir /usr/share/gimp/%{PACKAGE_VERSION}
%config /usr/share/gimp/%{PACKAGE_VERSION}/gimprc
%config /etc/X11/wmconfig/gimp
/usr/share/icons/wilbur.xpm
/usr/share/icons/mini/mini-wilbur.xpm
%doc gimp-%{PACKAGE_VERSION}/README
%doc gimp-%{PACKAGE_VERSION}/docs/gimp.txt
%doc gimp-%{PACKAGE_VERSION}/docs/xcf.doc
%doc gimp-%{PACKAGE_VERSION}/plug-ins/README.ifscompose
/usr/bin/gimp
/usr/lib/gimp/%{PACKAGE_VERSION}

%files devel
/usr/lib/libgimp.a
/usr/lib/libgimpui.a
/usr/include/libgimp
/usr/info/pdb.info*

%files libgimp
/usr/lib/libgimp.so
/usr/lib/libgimp.so.1.0.0
/usr/lib/libgimpui.so
/usr/lib/libgimpui.so.1.0.0
